Loading...
Searching...
No Matches
QXmppJingleReason Class Reference

## Public Types

enum | Type { None , AlternativeSession , Busy , Cancel , ConnectivityError , Decline , Expired , FailedApplication , FailedTransport , GeneralError , Gone , IncompatibleParameters , MediaError , SecurityError , Success , Timeout , UnsupportedApplications , UnsupportedTransports }
| This enum is used to describe a reason's type.
enum | RtpErrorCondition { NoErrorCondition , InvalidCrypto , CryptoRequired }

## Public Member Functions

QString | text () const
| Returns the reason's textual description.
void | setText (const QString &text)
| Sets the reason's textual description.
Type | type () const
| Gets the reason's type.
void | setType (Type type)
| Sets the reason's type.
RtpErrorCondition | rtpErrorCondition () const
void | setRtpErrorCondition (RtpErrorCondition rtpErrorCondition)

## Detailed Description

The QXmppJingleReason class represents the "reason" element of a QXmppJingle element.

## Member Enumeration Documentation

## RtpErrorCondition

enum QXmppJingleReason::RtpErrorCondition

Condition of an RTP-specific error

Since
  QXmpp 1.5

Enumerator
NoErrorCondition | There is no error condition.
InvalidCrypto | The encryption offer is rejected.
CryptoRequired | Encryption is required but not offered.

## Member Function Documentation

## rtpErrorCondition()

QXmppJingleReason::RtpErrorCondition QXmppJingleReason::rtpErrorCondition | ( |  | ) | const

Returns the RTP error condition as specified by XEP-0167: Jingle RTP Sessions.

Returns
  the RTP error condition

Since
  QXmpp 1.5

## setRtpErrorCondition()

void QXmppJingleReason::setRtpErrorCondition | ( | RtpErrorCondition | rtpErrorCondition | ) |

Sets the RTP error condition as specified by XEP-0167: Jingle RTP Sessions.

Parameters

  rtpErrorCondition | RTP error condition

Since
  QXmpp 1.5

The documentation for this class was generated from the following files:

- QXmppJingleData.h
- QXmppJingleData.cpp